import request from '@/utils/request'

// 查询微信参数配属列表
export function listWxSetting(query) {
  return request({
    url: '/system/wxSetting/list',
    method: 'get',
    params: query
  })
}

// 查询微信参数配属详细
export function getWxSetting(id) {
  return request({
    url: '/system/wxSetting/' + id,
    method: 'get'
  })
}

// 新增微信参数配属
export function addWxSetting(data) {
  return request({
    url: '/system/wxSetting',
    method: 'post',
    data: data
  })
}

// 修改微信参数配属
export function updateWxSetting(data) {
  return request({
    url: '/system/wxSetting',
    method: 'put',
    data: data
  })
}

// 删除微信参数配属
export function delWxSetting(id) {
  return request({
    url: '/system/wxSetting/' + id,
    method: 'delete'
  })
}
